<template>
  <div class="eletocTab">
    <div
      class="tab-item"
      :class="{tabActived: tabIndex == index}"
      @click="tabActived(index, item.alias)"
      v-for="(item, index) in menu"
      :key="index"
    >
      {{ item.name }}
    </div>
  </div>
</template>
  
  <script>
export default {
  props: ['menu'],
  data() {
    return {
      TabIsActive: true,
      tabIndex: 0,
      tabAlias: '',
    }
  },
  mounted() {},
  methods: {
    tabActived(index, alias) {
      for (let i = 0; i < this.menu.length; i++) {
        if (index !== this.tabIndex) {
          this.tabIndex = index
          this.tabAlias = alias
          this.$emit('getTabAlias', this.tabAlias)
        }
      }
    },
  },
}
</script>
  
  <style scoped lang='scss'>
  @import "@/assets/css/element-variables.scss";
  .eletocTab{
      width: 100%;
      height: 50px;
      margin-top: -18px;
      background-color: #F5F5F5;
      display: flex;
      border-bottom:1px solid rgba(219, 219, 219, 0.4) ;
  }
  .tab-item{
    width: 140px;
    height: 50px;
    line-height: 50px;
    text-align: center;
    box-sizing: border-box;
    font-size: 16px;
    color:#9BA1A1 ;
    cursor: pointer;
  }
  .tabActived{
    color: $--theme-color;
    border-bottom: 4px solid $--theme-color;
  }
  </style>